/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	UpSolution
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/

#cmplz-document, .editor-styles-wrapper .cmplz-unlinked-mode {max-width: none !important;}
#cmplz-document, #cmplz-document p, #cmplz-document li {font-size:1rem; font-family: var(--font-body);}
#cmplz-document h2 {font-size:2.2rem;}

.grecaptcha-badge { 
    visibility: hidden !important;
}

.error404 #page-header {
    background: none !important;
}

.link:hover {
	color: #184678 !important;
}

.w-tabs-item.servicios {
	padding: 1rem !important;
	margin-bottom: 0em !important;
}

.w-tabs-item.servicios.active {
	background: var(--color-content-primary) !important;
	color: white !important;
}

.error404 #page-header {
	background: black;
}

.w-dropdown.opened .w-dropdown-item {
	color: black !important;
	transition: all 0.3s ease-in-out !important;
}

.w-dropdown.opened .w-dropdown-item:hover {
	color: var(--color-content-primary) !important;
}

.w-dropdown.opened .w-dropdown-item:after {
	color: var(--color-content-primary) !important;
}

.btnContactoDesktop, .btnContactoSmartphone {
    display: none !important;
}

@media (min-width: 900px) {
    .btnContactoDesktop {
        display: block !important;
    }
}

@media (max-width: 899px) {
    .btnContactoSmartphone {
        display: block !important;
    }
}

#cmplz-document, .editor-styles-wrapper .cmplz-unlinked-mode {max-width: none !important;}
#cmplz-document, #cmplz-document p, #cmplz-document li {font-size:1rem; font-family: var(--font-body);}
#cmplz-document h2 {font-size:2.2rem;}
#cmplz-document a {color:black;}

.cmplz-cookiebanner .cmplz-buttons {
    flex-direction: row-reverse;
}

.first span {
    font-size: 1.8rem;
    color: var(--color-content-secondary);
}

.center {
    justify-content: center;
}

.underit-left {
    position: relative;
    display: inline-block;
    padding-bottom: 15px;
}

.underit-left::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0%;
    width: 33%;
    height: 8px;
    background-color: #5FABB9;
}

.underit-center {
    position: relative;
    display: inline-block;
    padding-bottom: 15px;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
}

.underit-center::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 33%;
    height: 8px;
    background-color: #5FABB9;
    transform: translateX(-50%);
}

@media (min-width: 1281px) {
    .l-subheader.at_middle .l-subheader-h {
        border-bottom: 1px solid #6B88B2 !important;
    }
	.sticky .l-subheader.at_middle .l-subheader-h {
        border-bottom: 0px solid #6B88B2 !important;
		backdrop-filter: blur(8px);
    }
}

.especialidades.w-grid-item {
	margin-bottom: 3.5rem !important;
}

.infooter .w-iconbox {
	justify-content: left;
}

.servigrid .w-grid-list {
	justify-content: center !important;
}

.marbella {
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 50%, white 50%) !important;
}

.marbella button {
	opacity: 0 !important;
}

.marbella button:hover, .marbella button, .marbella {
    cursor: default !important;
}

@media (max-width: 899px) {
	.marbella {
		padding: 2rem 0rem !important;  	
	}
	
	.marbella .w-btn-wrapper {
		display: flex !important;
		justify-content: center !important;
	}
	
	.marbella button {
		font-size: 1rem !important;
	}
	
	.marbella .w-iconbox {
		    padding-left: 2rem !important;
	}
}

.values .w-iconbox-icon svg, .w-iconbox-icon img {
    height: 120px;
    width: 120px;
    background: white;
    padding: 22px;
}

.entradaHome {
	aspect-ratio: 3/2 !important;
}

.sep {
	color: white !important;
}

.layout_201 .w-grid-item-h .usg_vwrapper_2 {
	transition: height 0.5s ease, background-color 0.5s ease, color 0.5s ease !important;
	height: 20%;
	background: #f5f5f5!important;
}

.layout_201 .w-grid-item-h {
    overflow: hidden;
}

.layout_201 .w-grid-item-h:hover .usg_vwrapper_2 {
    height: 100%;
	background-color: rgba(38, 160, 201, 0.85) !important;
}

.layout_201 .w-grid-item-h .hideh3 {
	opacity: 1;
	transition: opacity 0.5s ease !important;
}

.layout_201 .w-grid-item-h:hover .hideh3 {
	opacity: 0; !important;
}

.layout_201 .w-grid-item-h .appears {
	opacity: 0; !important;
	font-size: 1.1rem;
	transition: all 0.5s ease !important;
}

.layout_201 .w-grid-item-h:hover  .appears {
	opacity: 1; !important;
	transform: translatey(-370px);
}

.layout_201 .w-grid-item-h {
    border-radius: 0rem !important;
}

.equipo .w-image-h img {
	aspect-ratio: 2/3 !important;
	max-width: 279px !important;
}

.sticky .us-btn-style_4 {
	color: black !important;
	border-color: black !important;
}

.sticky .us-btn-style_4:hover {
	border-color: var(--color-content-primary) !important;
}

@media (max-width: 900px) {
	.w-iconbox.style_default.iconpos_left .w-iconbox-icon, .w-iconbox.style_default.iconpos_right .w-iconbox-icon {
		width: 0.25em;
	}
}

/****************************************************** F O R M S ****************************************************************/

.color_footer-bottom input:not([type=submit]), .color_footer-bottom input:not([type=text]), .color_footer-bottom input:not([type=textarea]), .color_footer-bottom input:not([type=select]) {
    background: none !important;
}

input[type="checkbox"] {
  border: 1px solid #333333 !important;
  margin-right: 8px !important;
  margin-top: 3px !important;
  box-sizing: border-box;
}

.wpcf7-spinner {
	display: none;
}

#responsive-form .column-full input:not([type="submit"]):not([type="checkbox"]), #responsive-form .column-full textarea, #responsive-form .column-full select,
#responsive-form .column-half input:not([type="submit"]):not([type="checkbox"]), #responsive-form .column-half textarea, #responsive-form .column-half select,
#responsive-form .column-quarter input:not([type="submit"]):not([type="checkbox"]), #responsive-form .column-quarter textarea, #responsive-form .column-quarter select {
	box-shadow: none!important;
	border-bottom: solid 1px #333333!important;
	background: none !important;
	color: #333;
	font-size: 0.9rem;
}

#responsive-form .column-full-right input:not([type="submit"]):not([type="checkbox"]), #responsive-form .column-full-right textarea {
	box-shadow: none!important;
	border-bottom: solid 1px #333333!important;
	background: none !important;
	color: #333;
	font-size: 0.9rem;
}

.wpcf7-form input:not([type="submit"]):not([type="checkbox"]), .wpcf7-form textarea, .wpcf7-form select {
	margin-top:0 !important;
	padding-left:5px !important;
}

.wpcf7-list-item-label, .wpcf7-list-item-label a {
	color: #000;
}

#responsive-form {
	max-width:100%;
	margin:0 auto;
	width:100%;
}

.column-full {
	float: left;
	position: relative;
	padding: 0.3rem;
	padding-left: 0rem!important;
	width:100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.column-quarter {
	max-width:33%;
	float: left;
	position: relative;
	padding: 0.3rem;
	padding-left: 0rem!important;
	width:100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	/*padding-right: 2.25rem !important;*/
}

.column-half {
	max-width:50%;
	float: left;
	position: relative;
	padding: 0.3rem;
	padding-left: 0rem!important;
	width:100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

@media (max-width: 900px) {
	.column-half {
		max-width: 100%;
		width: 100%;
	}
}

.column-full-right {
	float: right;
	position: relative;
	padding: 0.3rem;
	padding-right: 0rem!important;
	width:100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.clearfix:after {
	content: "";
	display: table;
	clear: both;
}

.wpcf7-not-valid-tip {
	font-size: 0.9em!important;
    margin-left: 15px;
}

span.label {
	display: none !important;
}

/******************************************************** FORM HORIZONTAL ********************************************************/

/* Estilos generales del formulario */
#sobreNosotros span.wpcf7-list-item-label {
    color: white;
}

.contactHorizontal select, 
.contactHorizontal input:not([type=submit]) {
	font-weight: 300;
    letter-spacing: 0;
    border-radius: 0;
    background: white !important;
    color: black !important;
    border: 2px solid black;
}

.contactHorizontal select {
    height: 55px !important;
    border-color: var(--color-content-primary) !important;
}

.contactHorizontal input.wpcf7-form-control {
    color: #333333 !important;
    border-color: var(--color-content-primary) !important;
}

.contactHorizontal input#form-info {
    color: white;
    background-color: var(--color-content-primary) !important;
    min-height: var(--inputs-height) !important;
    margin-top: 19px !important;
}

.contactHorizontal .wpcf7-form input:not([type=submit]), 
.contactHorizontal .wpcf7-form textarea, 
.contactHorizontal .wpcf7-form select {
	margin-right: 1rem !important;
}

span.wpcf7-list-item-label {
    margin-top: 0 !important;
}

/* Estilos flexibles */
.contactHorizontal span.wpcf7-list-item>label {
    display: flex;
    padding: .2em 0;
    justify-content: flex-start !important;
    align-items: center !important;
}

.flex-form {
	display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

.flex-form .row {
	flex: 0 0 85%;
}

.flex-form .block-submit {
	flex: 0 0 15%;
}

.flex-form .block-submit input[type="submit"] {
	width: 100%;
}

/* Estilos de columnas */
form .col-xs-3 { width: 25%; }

@media (max-width: 1400px) {
  form .col-xs-3 { width: 50%; }
  .flex-form .row { flex: 0 0 100%; margin-bottom: 1rem; }
}

@media (max-width: 900px) {
  form .col-xs-3 { width: 100%; }
  .flex-form .row { flex: 0 0 100%; margin-bottom: 1rem; }
}

form .col-xs-4 { width: 33.33%; }
form .col-xs-5 { width: 40%; }
form .col-xs-6 { width: 50%; }
form .col-xs-7 { width: 60%; }
form .col-xs-12 { width: 100%; }

form .col-xs-3, 
form .col-xs-4, 
form .col-xs-5, 
form .col-xs-6, 
form .col-xs-7, 
form .col-xs-12 {
	float: left;
	padding: 0 6px;
}

form div.form-group, 
form div.block-submit {
	display: inline-block;
	width: 100%;
}

form div.block-submit {
	text-align: right;
}

/* Estilos adicionales */
form div.row {
	margin: 0 -6px;
	text-align: left;
}

.row:before, 
.row:after {
	content: " ";
	display: table;
	clear: both;
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="tel"],
.wpcf7-form textarea,
.wpcf7-form select {
    margin-top: 0;
    background-color: transparent;
    box-shadow: none !important;
	border-bottom: 1px solid #141414 !important;
	font-size: 0.9rem;
}

.wpcf7-form select {
    margin-top: 1px !important;
}

.form-white .wpcf7-form input[type="text"],
.form-white .wpcf7-form input[type="email"],
.form-white .wpcf7-form input[type="tel"],
.form-white .wpcf7-form textarea,
.form-white .wpcf7-form select {
    border-color: #ffffff !important;
	color: #ffffff !important;
}

.form-white .flex-form span.wpcf7-list-item-label {
    color: white;
}

.form-white .wpcf7-not-valid-tip {
	color: #ffffff !important;
}

.legal {
	float: right;
}

.form-white .legal a {
	color: #ffffff !important;
	text-decoration: underline;
}

.wpcf7-form-control.wpcf7-checkbox {
	padding: 0;
}

input[type="checkbox"] {
	min-height: 1rem !important;
	line-height: 1rem !important;
    margin: 0;
}

.wpcf7 form.invalid .wpcf7-response-output, 
.wpcf7 form.unaccepted .wpcf7-response-output {
	padding: 15px 0 !important;
	margin: 0 !important;
	border: 0 !important;
}

.wpcf7-form span.wpcf7-not-valid {
	border: 0 !important;
}

span.wpcf7-list-item {
	margin: 0;
}

/* Botón de enviar */
.contact input[type="submit"] {
	background: #ef8936 !important;
	color: #ffffff !important;
}

.contact input[type="submit"]:hover {
    background: #b06325 !important;
    color: #ffffff !important;
}

select option {
	color: #000;
}